Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Content

Update Content
PATCH /contentmodules/{moduleId}/content/{contentId}
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content/{contentId}
Update a content post with contentId in a module with moduleId.
Accepts a JsonPatch request in the body and replaces provided fields.

The following fields are allowed to be updated:
categoryId, locales, mediaIds, permissions, and notifications

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"1554ca30-3f9a-48e1-a307-d04777f6405c","path":"/categoryId","op":"replace"},{"value":[{"culture":"da-DK","title":"Title","bodyText":"Body text"}],"path":"/locales","op":"replace"},{"value":["420c8faa-baa5-43dd-b020-7596f5660d1c"],"path":"/mediaIds","op":"replace"},{"value":[{"userGroups":[],"departments":[],"requireAllUserGroups":false}],"path":"/permissions","op":"replace"},{"value":{"sendNotification":false,"sendPushNotification":false,"forceInstantPush":false},"path":"/notifications","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"2c826b02-b725-4ee7-82f8-edc52aa30ae8","url":null,"userId":"8e4b6bd1-2f21-4d3d-97f4-4142da90dd91","userUrl":null,"categoryId":"99625617-38d7-4af5-a144-b084ea18e3c7","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-11-12T20:44:06.9067577+00:00","lastModifiedDateTime":"2026-11-13T16:44:06.9067577+00:00","availableFrom":"2026-11-13T20:44:06","startDateTimeZone":null,"availableUntil":"2026-11-14T20:44:06","endDateTimeZone":null,"medias":[{"id":"1d74a96b-ab03-4ec0-96f4-74f7ba086501","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"05b6effc-5021-4dd0-abd9-a76ff0efcf3a","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"14ab2c13-1089-4eb1-8338-aebde7ed9ce4","url":null},{"type":"Department","name":"Department name example","id":"bc0b9fc0-0308-4779-a24e-51eb5770526c","url":null},{"type":"User group","name":"User group name example","id":"8ef2a6ee-1a7c-4567-8ae3-f52ebddfd7d8","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"4d063d19-605c-4522-848d-a871cecb3426"}],"userGroups":[{"url":null,"name":"User group name example","id":"93f7a33a-cb61-4f75-b222-56f12a495c0b"}],"requireAllUserGroups":false}]}}
object
  ⯈ data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    bodyText string      
    culture string      
    title string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   ⯈ permissions array[object]      
    ⯈ departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    ⯈ userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string